http://www.perlmonks.org?node_id=586692


in reply to Re^6: CPAN install DBI-1.53
in thread CPAN install DBI-1.53

Tried to instal another module and get this error as well: cc1: Invalid option `-fno-strict-aliasing' What could cause this?

Replies are listed 'Best First'.
Re^8: CPAN install DBI-1.53
by stsly (Initiate) on Nov 29, 2006 at 14:25 UTC

    Am makeing some headway

    Have removed the -fno-strict-aliasing part of the Makefile so it now reads:

    CCFLAGS = -D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

    Now I get: make: Fatal error in reader: Makefile, line 13: Unexpected end of line seen